# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取已合作站点列表,2256,2256-49,sit,bs
主数据平台:多采商城站点获取已合作站点列表接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json

module = "cmdc_website"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取已合作站点列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url49")
request_body = commonFuc().get_business_data(module, "payload49")

"""
 场景:获取已合作站点列表
 用例名称：获取已合作站点列表
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict49")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
